Subject: bug#19390: 25.0.50; `package-activate' is too slow

From: Stefan Monnier <[email-masked]>
Date: Wed, 17 Dec 2014 20:38:14 -0500

> Good point, thanks. Here's the patch without the initial filtering part.
> Still an improvement over the current code (0.6s vs 2.1s on my machine).

Just a side note: the most important optimization is to make sure that
the activation of all the installed packages at startup time is done
without going through this "reload previously loaded files".

IIUC, this is the first optimization that was proposed in this thread,
and is the main one to install (regardless of the others).  Has it
been installed?

        Stefan